version: '3.7'

services:
#  elasticsearch:
#    image: docker.elastic.co/elasticsearch/elasticsearch:7.8.0
#    container_name: elasticsearch
#    environment:
#      - xpack.security.enabled=false
#      - discovery.type=single-node
#    ulimits:
#      memlock:
#        soft: -1
#        hard: -1
#      nofile:
#        soft: 65536
#        hard: 65536
#    ports:
#      - 9201:9200
#      - 9300:9300
#    volumes:
#      - data01:/usr/share/elasticsearch/data
#
#  kibana:
#    container_name: kibana
#    image: docker.elastic.co/kibana/kibana:7.8.0
#    environment:
#      - ELASTICSEARCH_HOSTS=http://elasticsearch:9200
#    ports:
#      - 5601:5601
#    depends_on:
#      - elasticsearch

    datagouv:
      build:
        context: ./
        dockerfile: Dockerfile
      links:
        - redis:redis
      environment:
        ES_USERNAME: ${ES_USERNAME}
        ES_PASSWORD: ${ES_PASSWORD}
        REDIS_HOST: redis
        SLACK_WEBHOOK: ${SLACK_WEBHOOK}
      depends_on:
        - redis

    redis:
      image: bitnami/redis:latest
      environment:
        ALLOW_EMPTY_PASSWORD: "yes"
      ports:
        - 6379:6379
      volumes:
        - redisData:/bitnami/redis/data

volumes:
  redisData:
    driver: local